<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flps_numberisnan.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flps_numberisnan" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>flps_numberisnan</refname><refpurpose>Returns true if the number is a nan.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   is = flps_numberisnan ( flpn )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>flpn :</term>
      <listitem><para> a floating point number</para></listitem></varlistentry>
   <varlistentry><term>is :</term>
      <listitem><para> a 1x1 matrix of boolean</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns true if the number is a nan.
A NaN has a biased exponent equal to its maximum value and a nonzero integral
significant.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
flps = flps_systemnew ( "IEEEdouble" );
// Get a nan
flpn = flps_numbernew ( "double" , flps , %nan );
is = flps_numberisnan ( flpn ) // %t

// Get others
flpn = flps_numbernew ( "double" , flps , %inf );
is = flps_numberisnan ( flpn ) // %f
flpn = flps_numbernew ( "double" , flps , -%inf );
is = flps_numberisnan ( flpn ) // %f
flpn = flps_numbernew ( "double" , flps , +0 );
is = flps_numberisnan ( flpn ) // %f
flpn = flps_numbernew ( "double" , flps , -0 );
is = flps_numberisnan ( flpn ) // %f
flpn = flps_numbernew ( "double" , flps , 1 );
is = flps_numberisnan ( flpn ) // %f
flpn = flps_numbernew ( "double" , flps , -1 );
is = flps_numberisnan ( flpn ) // %f

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
